Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoDetSelect< EOT > Class Template Reference

eoDetSelect selects many individuals determinisctically More...

`#include <eoDetSelect.h>`

Inheritance diagram for eoDetSelect< EOT >:

List of all members.

## Public Member Functions
| eoDetSelect (double _rate=1.0, bool _interpret_as_rate=true)
| init
virtual void | operator() (const eoPop< EOT > &_source, eoPop< EOT > &_dest)
## Private Attributes
eoHowMany | howMany

## Detailed Description

### template<class EOT>
class eoDetSelect< EOT >

eoDetSelect selects many individuals determinisctically

Definition at line 40 of file eoDetSelect.h.

## Member Function Documentation

template<class EOT>
virtual void eoDetSelect< EOT >::operator() | ( | const eoPop< EOT > & | _source,
|  | eoPop< EOT > & | _dest
| ) | `[inline, virtual]`

  | Parameters:
  | _source | the source population
  | _dest | the resulting population (size of this population is given by the HowMany data It empties the destination and adds the selection into it)
Implements eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >. Definition at line 53 of file eoDetSelect.h.

The documentation for this class was generated from the following file:

- eoDetSelect.h